{% extends "layout.twig" %}
{% block head %}
    <title>App | Login page</title>
{% endblock %}

{% block title %}
    Login page
{% endblock %}

{% block content %}
{#    <div class="uk-flex uk-flex-center">#}
{#        <form method="post" action="{{ path_for('login.post') }}">#}
{#            <div class="uk-margin">#}
{#                <div class="uk-inline">#}
{#                    <span class="uk-form-icon" uk-icon="icon: mail"></span>#}
{#                    <input class="uk-input" name="email" placeholder="name@email.com" type="email">#}
{#                </div>#}
{#            </div>#}
{#            <div class="uk-margin">#}
{#                <div class="uk-inline">#}
{#                    <span class="uk-form-icon" uk-icon="icon: lock"></span>#}
{#                    <input class="uk-input" name="password" placeholder="password" type="password">#}
{#                </div>#}
{#            </div>#}
{#            <input type="hidden" name="{{csrf.keys.name}}" value="{{csrf.name}}">#}
{#            <input type="hidden" name="{{csrf.keys.value}}" value="{{csrf.value}}">#}
{#            <div class="uk-flex uk-flex-center">#}
{#                    <button class="uk-button uk-button-default">Submit</button>#}
{#            </div>#}
{#            <div class="uk-flex uk-flex-center uk-margin-small-top">#}
{#                <a href="{{ path_for('forgot.get') }}" class="uk-button uk-button-text">Forgot password?</a>#}
{#            </div>#}
{#        </form>#}
{#    </div>#}



    <div class="d-flex justify-content-center">
        <form method="post" action="{{ path_for('login.post') }}">
            <div class="form-row">
                <div class="col">
                    <label for="email">Email</label>
                    <input type="email" class="form-control" id="email" name="email" placeholder="email@example.com">
                </div>
            </div>
            <div class="form-row mt-2">
                <div class="col">
                    <label for="password">Password</label>
                    <input type="password" class="form-control" id="password" name="password" placeholder="Password">
                </div>
            </div>
            <input type="hidden" name="{{csrf.keys.name}}" value="{{csrf.name}}">
            <input type="hidden" name="{{csrf.keys.value}}" value="{{csrf.value}}">
            <div class="d-flex justify-content-center mt-3">
                <button class="btn btn-outline-secondary">Login</button>
            </div>
            <div class="d-flex justify-content-center mt-1">
                <a href="{{ path_for('forgot.get') }}">Forgot password?</a>
            </div>
        </form>
    </div>
{% endblock %}

{% block msg%}


    {% if has_error('email') %}
        <div class="alert alert-danger alert-dismissible fade show" role="alert">
            <h4 class="alert-heading">Error</h4>
            <p>{{ get_error('email') }}</p>
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
    {% elseif has_error('auth') %}
        <div class="alert alert-danger alert-dismissible fade show" role="alert">
            <h4 class="alert-heading">Error</h4>
            <p>{{ get_error('auth') }}</p>
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
    {% endif %}
{% endblock%}